summaryrefslogtreecommitdiff
path: root/debian/patches/03-fix-ocs-bashisms.dpatch
diff options
context:
space:
mode:
authorTobias Klauser <tklauser@distanz.ch>2008-05-18 19:44:14 +0200
committerTobias Klauser <tklauser@xenon.tklauser.home>2008-05-18 19:44:14 +0200
commitd547fc2a1be23e18c34eb189150ef55db8bc5c56 (patch)
tree63b85d572e34e6ba1f7c18c4f57f889236e9297f /debian/patches/03-fix-ocs-bashisms.dpatch
parentb98e8def5fe980cd6fccb24ecaf6daaa28663234 (diff)
Fix Bashisms in contrib/ocs (Closes: #480591)15.6-6
Diffstat (limited to 'debian/patches/03-fix-ocs-bashisms.dpatch')
-rwxr-xr-xdebian/patches/03-fix-ocs-bashisms.dpatch67
1 files changed, 67 insertions, 0 deletions
diff --git a/debian/patches/03-fix-ocs-bashisms.dpatch b/debian/patches/03-fix-ocs-bashisms.dpatch
new file mode 100755
index 0000000..01cd011
--- /dev/null
+++ b/debian/patches/03-fix-ocs-bashisms.dpatch
@@ -0,0 +1,67 @@
+#!/bin/sh /usr/share/dpatch/dpatch-run
+## 03-fix-ocs-bashisms.dpatch
+##
+## DP: Fixes bashims in ocs
+## DP: (Closes: #480591)
+
+--- a/contrib/ocs
++++ b/contrib/ocs
+@@ -87,7 +87,7 @@ if [ ! -d ${SYSDIR} ]; then
+ fi
+
+ # Check that cscope is in PATH
+-type cscope 1>/dev/null 2>&1
++which cscope 1>/dev/null 2>&1
+
+ if [ $? -ne 0 ]
+ then
+@@ -168,8 +168,8 @@ create_list()
+
+ if [ "${FORCE}" != "Y" ]
+ then
+- echo "\n${LIST}"
+- echo "Update the library? <(Y)es, (N)o, (Q)uit> [n] \c"
++ printf "\n${LIST}\n"
++ printf "Update the library? <(Y)es, (N)o, (Q)uit> [n] "
+ read x y
+ case $x in
+ [Yy]* ) ;;
+@@ -177,9 +177,9 @@ create_list()
+ *) return ;;
+ esac
+ fi
+- echo "Updating library:\n ${LIST} \c"
++ printf "Updating library:\n ${LIST} "
+ else
+- echo "Creating library:\n ${LIST} \c"
++ printf "Creating library:\n ${LIST} "
+ fi
+
+ (
+@@ -197,7 +197,7 @@ create_list()
+ -print
+ ) | grep -v SCCS | sort -u > ${LIST}
+
+- echo "\n`cat ${LIST} | wc -l` files listed"
++ printf "\n`cat ${LIST} | wc -l` files listed\n"
+ }
+
+ #
+@@ -211,7 +211,7 @@ exp_inc()
+ then
+ for i in `cat ${theInc}`
+ do
+- echo "-I $i \c"
++ printf "-I $i "
+ done
+ fi
+ }
+@@ -286,7 +286,7 @@ std_libs ${SYSDIR}$PWD
+
+ DIR=$PWD
+ if [ ! -n "${NOUPDATE}" -o -n "${SPECDEST}" ] ; then
+-echo "Create new library? <(L)ocal, (H)ome, (S)ystem, (Q)uit> [q] \c"
++printf "Create new library? <(L)ocal, (H)ome, (S)ystem, (Q)uit> [q] "
+ read x y
+ case $x in
+ [Ll]* ) DIR=$PWD ;;
responding preprocessor directives to explicitly check for supported architectures and fail on unsupported ones. Signed-off-by: Sebastian Hesselbarth <sebastian.hesselbarth@gmail.com> Tested-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Tested-by: Kevin Hilman <khilman@linaro.org> Signed-off-by: Russell King <rmk+kernel@arm.linux.org.uk> 2014-04-25ARM: 8036/1: Enable IRQs before attempting to read user space in __und_usrCatalin Marinas1-1/+1 The Undef abort handler in the kernel reads the undefined instruction from user space. If the page table was modified from another CPU, the user access could fail and do_page_fault() will be executed with interrupts disabled. This can potentially deadlock on ARM11MPCore or on Cortex-A15 with erratum 798181 workaround enabled (both implying IPI for TLB maintenance with page table lock held). This patch enables the IRQs in __und_usr before attempting to read the instruction from user space. Signed-off-by: Catalin Marinas <catalin.marinas@arm.com> Tested-by: Arun KS <getarunks@gmail.com> Cc: Hartley Sweeten <hsweeten@visionengravers.com> Cc: Ryan Mallon <rmallon@gmail.com> Signed-off-by: Russell King <rmk+kernel@arm.linux.org.uk> 2014-04-25ARM: 8034/1: Disable preemption in iwmmxt_task_enable()Catalin Marinas1-3/+11 This patch is in preparation for calling the iwmmxt_task_enable() function with interrupts enabled. Signed-off-by: Catalin Marinas <catalin.marinas@arm.com> Signed-off-by: Russell King <rmk+kernel@arm.linux.org.uk> 2011-08-11ARM: pxa: fix logic error in PJ4 iWMMXt handlingLennert Buytenhek1-3/+3 This got added in: commit ef6c84454f8567d4968c210d7d194fb711ed3739 Author: Haojian Zhuang <haojian.zhuang@marvell.com> Date: Wed Nov 24 11:54:25 2010 +0800 ARM: pxa: add iwmmx support for PJ4 which does: - mrc p15, 0, r2, c15, c1, 0 - orr r2, r2, #0x3 @ enable access to CP0 and CP1 - mcr p15, 0, r2, c15, c1, 0 + @ enable access to CP0 and CP1 + XSC(mrc p15, 0, r2, c15, c1, 0) + XSC(orr r2, r2, #0x3) + XSC(mcr p15, 0, r2, c15, c1, 0) but then later does: - mrc p15, 0, r4, c15, c1, 0 - orr r4, r4, #0x3 @ enable access to CP0 and CP1 - mcr p15, 0, r4, c15, c1, 0 + @ enable access to CP0 and CP1 + XSC(mrc p15, 0, r4, c15, c1, 0) + XSC(orr r4, r4, #0xf) + XSC(mcr p15, 0, r4, c15, c1, 0) Signed-off-by: Lennert Buytenhek <buytenh@laptop.org> Acked-by Haojian <haojian.zhuang@gmail.com> Signed-off-by: Eric Miao <eric.y.miao@gmail.com> 2010-12-20ARM: pxa: add iwmmx support for PJ4Haojian Zhuang1-13/+42 iwmmxt is used in XScale, XScale3, Mohawk and PJ4 core. But the instructions of accessing CP0 and CP1 is changed in PJ4. Append more files to support iwmmxt in PJ4 core. Signed-off-by: Zhou Zhu <zzhu3@marvell.com> Signed-off-by: Haojian Zhuang <haojian.zhuang@marvell.com> Acked-by: Nicolas Pitre <nico@fluxnic.net> Signed-off-by: Eric Miao <eric.y.miao@gmail.com>